Get Webhook Endpoint

Retrieve a webhook endpoint by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the webhook endpoint.

Example: "wh_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Response

Retrieved webhook endpoint
objectenum
Allowed values:
idstring
Unique identifier for the webhook endpoint.
urlstringformat: "uri"
The URL that webhook events are sent to.
namestring

A human-readable name for the webhook endpoint.

statusenum
The status of the webhook endpoint.
Allowed values:
enabledEventslist of enums
The list of event types this endpoint is subscribed to at the global level. These are events that are not scoped to a specific resource.
apiVersionenum
advancedOptionsobject or null
Advanced configuration options for the webhook endpoint, including custom headers and payload delivery settings.
createdAtstringformat: "date-time"
The date and time the webhook endpoint was created.

Errors